function estimatedLabels = glvq_classify(Data, oModel)
%RGLVQ_classify.m 
%  Classify given data with GLVQ model
%
% input: 
%  Data      : test data with m test samples in d dimensions
%  oModel    : trained GLVQ model 
% 
% output    : the estimated labels
%  
% Frank-Michael Schleif
% fschleif@techfak.uni-bielefeld.de
%
% Conditions of GNU General Public License, version 2 apply.
% See file 'license-gpl2.txt' enclosed in this package.
% Programs are not for use in critical applications!
%
estimatedLabels = oModel.vCodeLabels(argmin(oModel.fDist.CalculateDistance(Data, oModel.Neurons),2));
